
package de.ivu.elect.exchange.gebietsbaum.csv;

import javax.annotation.Nonnull;

import de.ivu.elect.business.datei.entity.FileType;
import de.ivu.elect.business.exchange.control.FileFormat;
import de.ivu.elect.exchange.gebietsbaum.AbstractGebietDTO;

public class DefaultGebietsbaumCsvImportMapper extends AbstractGebietsbaumCsvImportMapper<AbstractGebietDTO> {

  public static final String FILE_FORMAT_NAME = "file.format.gebietsbaum.default";

  public static final FileFormat FILE_FORMAT = new FileFormat(FILE_FORMAT_NAME, FileType.CSV);

  public DefaultGebietsbaumCsvImportMapper() {
    super();
  }

  @Override
  @Nonnull
  protected Class<? extends AbstractGebietDTO> getDtoClass() {
    return DefaultGebietCsvDTO.class;
  }

  @Override
  protected String getFileFormatName() {
    return FILE_FORMAT_NAME;
  }
}
